import { EnvironmentConfiguration } from 'dino-core';
import { NextFunction, Request, Response } from 'express';
import { OpenApiValidator } from 'express-openapi-validate';
export declare class ApiValidator {
    protected readonly validationEnabled: boolean;
    protected readonly environment: EnvironmentConfiguration;
    protected openApiValidator: OpenApiValidator;
    constructor(environment: any);
    init(apis: any): void;
    getRequestValidator(method: any, path: any): (req: Request, res: Response, next: NextFunction) => void;
    getResponseValidator(method: any, path: any): (res: any) => void;
}
