import { Response } from '../../../Response';
import { NextFunction, Request } from 'express';
import { AfterHandlerMiddleware } from '../../after.handler.middleware';
export declare class ProjectionsMiddleware extends AfterHandlerMiddleware {
    /**
     * Definition of the function that will handle the projections business logic associated with this middleware.
     *
     * @param {import('express').Request} req Express request instance
     * @param {import('express').Response} res express response instance
     * @param {Function} next the next function that will be invoked as part of the express chain
     */
    handle(req: Request, res: Response, next: NextFunction): void;
}
