/**
 * Abstract definition of an OpenAPI descriptor provider.
 */
export declare class DescriptorProvider {
    /**
     * Provide a reference to an OpenAPI descriptor that will allow to define the APIs for the service.
     * @returns {string} the path of the OpenAPI descriptor file.
     */
    provide(): string;
}
