import { type AbstractPolicy } from './AbstractPolicy';
export declare class PolicyFactory {
    /**
     * Get a policy object
     * @param {String} policy the policy to lookup
     * @returns {AbstractPolicy} an implementation of AbstractPolicy
     *
     * @public
     */
    getPolicy(policy: string): AbstractPolicy;
}
