"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LogEventEmitter = void 0;
const dino_core_1 = require("dino-core");
/**
 * A simple event emitter which emits events as logs
 */
class LogEventEmitter {
    async emit(events) {
        events.forEach((event) => dino_core_1.Logger.info(`Application Event -> ${JSON.stringify(event)}`));
    }
}
exports.LogEventEmitter = LogEventEmitter;
//# sourceMappingURL=LogEventEmitter.js.map