import { Monitor, State } from 'dino-core';
import { type Request, type NextFunction } from 'express';
import { type Response } from '../Response';
export declare class CO2EmissionMonitor extends Monitor {
    private readonly properties;
    private readonly co2EmissionCalculator;
    private readonly objectSizeCalculator;
    constructor();
    execute(): State;
    getName(): string;
    requestMiddleware(req: Request, _res: Response, next: NextFunction): void;
    responseMiddleware(_req: Request, res: Response, next: NextFunction): void;
    private collectRequestInfoRequired;
    private collectResponseInfoRequired;
}
